#ifndef _H_MENUS
#define _H_MENUS

#include "Gui.h"
#include "RPK.h"

extern struct GuiMenu Menu_TitleScreen;
extern struct GuiMenu Menu_Pause;
extern struct GuiMenu Menu_Options;
extern struct GuiMenu Menu_Dead;

/* Loads images or anything else needed for the bitmaps */
void SetupMenus(const RPKFile *rpak);

/* deallocates memory allocated by SetupMenus() */
void CleanupMenus(void);

void RelayoutMenus(Bmp_t *screen);

#endif
